package com.ruoyi.mall.service;

import java.util.List;
import com.ruoyi.mall.domain.BusinessArticleLike;

/**
 * 帖子点赞Service接口
 * 
 * @author ruoyi
 * @date 2023-10-18
 */
public interface IBusinessArticleLikeService
{
    /**点赞 和 取消点赞*/
    Boolean likeAndCancelLikes(Long articleId,Long userId);

    /**
     * 查询帖子点赞
     * 
     * @param likeId 帖子点赞主键
     * @return 帖子点赞
     */
    public BusinessArticleLike selectBusinessArticleLikeByLikeId(Long likeId);

    /**
     * 查询帖子点赞列表
     * 
     * @param businessArticleLike 帖子点赞
     * @return 帖子点赞集合
     */
    public List<BusinessArticleLike> selectBusinessArticleLikeList(BusinessArticleLike businessArticleLike);

    /**
     * 新增帖子点赞
     * 
     * @param businessArticleLike 帖子点赞
     * @return 结果
     */
    public int insertBusinessArticleLike(BusinessArticleLike businessArticleLike);


    /**
     * 修改帖子点赞
     * 
     * @param businessArticleLike 帖子点赞
     * @return 结果
     */
    public int updateBusinessArticleLike(BusinessArticleLike businessArticleLike);

    /**
     * 批量删除帖子点赞
     * 
     * @param likeIds 需要删除的帖子点赞主键集合
     * @return 结果
     */
    public int deleteBusinessArticleLikeByLikeIds(Long[] likeIds);

    /**
     * 删除帖子点赞信息
     * 
     * @param likeId 帖子点赞主键
     * @return 结果
     */
    public int deleteBusinessArticleLikeByLikeId(Long likeId);
}
